#ifndef _BLITTER_H_
#define _BLITTER_H_

#define MAX_DISPLAY 256

typedef struct {
	unsigned char regs[0x10];
	unsigned char kbbuf[0x10];
	unsigned char type;
} displaystruct;

displaystruct displays[MAX_DISPLAY];

void blitter(int id);
void init_displays();
void disp_store(int id, int ptr, unsigned char value);
unsigned char disp_load(int id, int ptr);
unsigned char disp_key(int id, unsigned char ch);

#endif
